# tx_agg_desc Struct Reference
[TX_AGG]

Aggregation descriptor, containing AMPDU THD, BAR descriptor, BAR payload and Policy Table. More...

`#include <txl_agg.h>`

Collaboration diagram for tx_agg_desc:
[legend]

## Data Fields
struct co_list_hdr | list_hdr
| Pointer to the next element in the queue.
uint16_t | status
| Current status of the aggregation process.
uint16_t | available_len
| Amount of data currently downloaded for this A-MPDU.
uint8_t | available_cnt
| Number of MPDUs downloaded for this A-MPDU.
uint8_t | sta_idx
| STA IDX for which AMPDU is being built.
uint8_t | tid
| TID for which AMPDU is being built.
uint8_t | user_cnt
| Number of "users" currently sharing this descriptor The descriptor will be freed only when no more SW modules are using it.
struct tx_hd | a_thd
| AMPDU THD (no payload).
struct tx_hd | bar_thd
| BAR THD.
struct bar_frame | bar_payl
| BAR payload space (no FCS).
struct tx_policy_tbl | bar_pol_tbl
| Policy table for explicit BAR frame.
struct ba_ssc_bitmap * | ssc_bitmap
| Pointer to the BA SSC + bitmap.
struct ba_ssc_bitmap_256 | ssc_bitmap_tab
| Pointer to the BA SSC + bitmap.
struct txdesc * | txdesc [NX_BW_LEN_STEPS-1]
| Pointer to TX descriptors finishing a BW step.
struct co_list | cfm
| List containing the descriptors to be confirmed once BA is received for this secondary user.
struct tx_agg_desc * | prim_agg_desc
| Pointer to the primary TX descriptor.
struct tx_hd * | last_bar_thd
| Pointer to the last BAR THD of the MU-MIMO frame exchange.
uint8_t | download
| Bitfield indicating which user indexes have still data to download before being able to be chained to HW.
struct co_list * | free_list
| List in which the A-MPDU descriptor has to be pushed back after transmission.

## Detailed Description

Aggregation descriptor, containing AMPDU THD, BAR descriptor, BAR payload and Policy Table.

Definition at line 54 of file txl_agg.h.

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/ip/lmac/src/tx/txl/txl_agg.h